ArcGIS Pro 1.2 SDK for .NET cannot be installed over ArcGIS Pro 1.1.3308

2682
3
Jump to solution
03-04-2016 01:50 AM
Highlighted
New Contributor

I am trying to start developing ArcGIS Pro add-ins but won't even get off the starting blocks. After proceeding as instructed in

ProGuide Installation and Upgrade · Esri/arcgis-pro-sdk Wiki · GitHub

and

ProGuide Build your first add in · Esri/arcgis-pro-sdk Wiki · GitHub

at the point where a new project is created based on ArcGIS Pro Module Add-in template, I get the following message from Visual Studio Community 2015:

agPro_vs_fail.png

I tried searching the web and the forums for this message but could not find anything. So, any ideas what could possibly cause this?

I am running Windows 10 Pro and have both Visual Studio Express for Desktop 2015 and Visual Studio Community 2015 installed.

Thanks,

Samuli N.

Reply
0 Kudos
1 Solution

Accepted Solutions
Highlighted
Esri Regular Contributor

Hi Samuli

Please download ArcGIS Pro 1.2 from https://my.esri.com/ and then you will be able to use the ArcGIS Pro 1.2 SDK.

This link will be useful to understand the requirements for ArcGIS Pro 1.2 SDK: https://github.com/esri/arcgis-pro-sdk/wiki#requirementshttps://github.com/esri/arcgis-pro-sdk/wiki#requirements

Thanks

Uma Harano

ArcGIS Pro SDK Team

View solution in original post

3 Replies
Highlighted
Occasional Contributor

While i am quite new to the Pro Party, could it be the message being displayed is telling you to install the 1.2 version of ArcGIS Pro, then install the ArcGIS Pro SDK 1.2?

Highlighted
Esri Regular Contributor

Hi Samuli

Please download ArcGIS Pro 1.2 from https://my.esri.com/ and then you will be able to use the ArcGIS Pro 1.2 SDK.

This link will be useful to understand the requirements for ArcGIS Pro 1.2 SDK: https://github.com/esri/arcgis-pro-sdk/wiki#requirementshttps://github.com/esri/arcgis-pro-sdk/wiki#requirements

Thanks

Uma Harano

ArcGIS Pro SDK Team

View solution in original post

Highlighted
New Contributor

Thanks, this solved the problem! I had just a few days (weeks?) earlier installed ArcGIS Pro, so it didn't even occur to me that I could have an old version of the software...

Thanks to both,

Samuli

Reply
0 Kudos